Autoficher para Timenet
==============================

Que es esto?
---------------
Aplicación simple para fichar y desfichar automáticamente

Como se usa?
---------------
1. Ejecutamos `pip3 install -r requirements.txt` para instalar los componentes
2. Ejecutamos `python3 ./autofitcher.py -u <user> -p <pin> [-t <0 = Entrada, 1 = Salida>| -bt]`
3. Opcionalmente podemos ponerlo en un Crontab de linux para que se ejecute cada X tiempo y se realize el fichado automatico
Parametros obligatorios
---------------
 - -u  >  Usuario de timenet (Pista Cero = 4c26cc59-ee52-4c47-b7fe-1065a5e5bf84) (Lo he pasado a config.json)
 - -p  >  Pin de usuario

Tendremos que escojer también entre --basedtime o --type

 - -bt  > No requiere argumento. Esto ficha y desficha basado en la configuración de horas a seguir
 - -t <0 = Entrada, 1 = Salida>  > Forzamos estado al entrar/salir

Calendario google
---------------
Para añadir el uso de calendario de google debemos de descargar el archivo de acceso oauth API y añadirlo
a la raiz del proyecto como "googleoauth.json" se revisará calendario de festivos en españa y calendario autoficher.
